classification
Title: PyOS_Readline usage in tokenizer ignores sys.stdin/sys.stdout
Type: behavior Stage:
Components: Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Python interactive console doesn't use sys.stdin for input
View: 17620
Assigned To: Nosy List: Albert.Zeyer, BreamoreBoy, Drekin
Priority: normal Keywords:

Created on 2011-08-29 18:02 by Albert.Zeyer, last changed 2015-08-08 14:22 by eryksun. This issue is now closed.

Messages (3)
msg143168 - (view) Author: Albert Zeyer (Albert.Zeyer) Date: 2011-08-29 18:02
In Parser/tokenizer.c, there is `PyOS_Readline(stdin, stdout, tok->prompt)`. This ignores any `sys.stdin` / `sys.stdout` overwrites.

The usage should be like in Python/bltinmodule.c in builtin_raw_input.
msg222229 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-03 22:12
@Albert sorry about the delay in responding to this.
msg248270 - (view) Author: Adam BartoŇ° (Drekin) * Date: 2015-08-08 14:15
http://bugs.python.org/issue17620 is a duplicate, but with more discussion.
History
Date User Action Args
2015-08-08 14:22:29eryksunsetstatus: open -> closed
superseder: Python interactive console doesn't use sys.stdin for input
resolution: duplicate
2015-08-08 14:15:25Drekinsetnosy: + Drekin
messages: + msg248270
2014-07-03 22:12:23BreamoreBoysetversions: + Python 3.4, Python 3.5
nosy: + BreamoreBoy

messages: + msg222229

type: behavior
2011-08-29 18:02:44Albert.Zeyercreate